# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['anitui', 'anitui.utils', 'anitui.widgets']

package_data = \
{'': ['*'],
 'anitui': ['script/README.md',
            'script/README.md',
            'script/README.md',
            'script/README.md',
            'script/README.md',
            'script/package-lock.json',
            'script/package-lock.json',
            'script/package-lock.json',
            'script/package-lock.json',
            'script/package-lock.json',
            'script/package.json',
            'script/package.json',
            'script/package.json',
            'script/package.json',
            'script/package.json',
            'script/run.bat',
            'script/run.bat',
            'script/run.bat',
            'script/run.bat',
            'script/run.bat',
            'script/run.sh',
            'script/run.sh',
            'script/run.sh',
            'script/run.sh',
            'script/run.sh',
            'script/src/*',
            'script/src/api/*',
            'script/src/api/auth/*',
            'script/src/tests/*',
            'script/src/utils/*']}

install_requires = \
['commonmark>=0.9.1,<0.10.0',
 'pygments-arm>=0.7.5,<0.8.0',
 'requests>=2.28.1,<3.0.0',
 'rich>=12.5.1,<13.0.0',
 'textual>=0.1.18,<0.2.0']

entry_points = \
{'console_scripts': ['anitui = anitui.__init__:main']}

setup_kwargs = {
    'name': 'anitui',
    'version': '0.1.6',
    'description': 'A TUI to browse Anime',
    'long_description': '# ani-tui\n\nTUI written in Python using [Textual](https://github.com/Textualize/textual) to navigate local Anime files. \n\n## Showcase\n\n![GIF of AniTUI](./fluff/anitui-showcase.gif)\n\n## Getting Started\n\n### Prerequisites\n\n- Python 3.9+\n\n### Install\n\nTo use ani-tui simply install the Python package:\n\n**Unix**\n```bash\npip3 install anitui\n```\n\n**Windows**\n```powershell\npy -m pip install anitui\n```\n\nThe TUI can then be run by simply typing `anitui` in the shell.\n\n## Connecting with [VLC-Ani-Discord](https://github.com/cakoshakib/vlc-ani-discord)\n\nani-tui is capable of launching the vlc-ani-discord script along with your chosen media to display Discord Rich Presence and automatically update your Anilist episode progress. Note that this is only applicable if you are using VLC as your media player. The setup for this is a bit convoluted at the moment so it is automatically turned off. However, if you would like to use this feature here\'s how to do it! :)\n\n1. Find out where ani-tui was installed\n    ```bash\n    pip show anitui\n    ```\n   Here you should see something of the form:\n    ```bash\n    Location: {PATH}\n    ```\n\n2. Go to the directory\n    ```bash\n    cd {PATH}/script\n    ```\n\n3. Here you will find a `README.md` with instructions on setting up `vlc-ani-discord`. Complete the setup and then move on to Step 4\n\n4. Modify the ani-tui config file `~/.config/anitui/config.json` in your chosen editor. Simply change `"script": false` to `"script": true`. \n\nThen you\'re done! I will be improving this process to be more straightforward in the future. \n\n## Notes\n\nStill in development, expect bugs! :)\n\n## License\nMIT\n\n',
    'author': 'cakoshakib',
    'author_email': 'cakoshakib@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/cakoshakib/ani-tui',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
